<?
include_once '../sys/fnc.php';
include_once '../sys/head.php';

/* ---- */	
if (!isset($user)) {
	include_once '../sys/head.php';
	echo '<div id="page-wrapper"><div class="main-page"><div class="blank-page widget-shadow scroll" id="style-2 div1"><p>Извините! Но доступ на данную страницу разрешён только клиентам хостинга, пожалуйста зарегистрируйтесь или войдите под своим логином</p></div></div></div>';
	include_once '../sys/foot.php';
	header('location: /');
    //exit;
}
/* ---- */	
if (isset($_GET['id'])){
$niiik = intval($_GET['id']);
}else{
$niiik = $user->id;
}

$kol_2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `logs_user` WHERE `id_user` = '$niiik'"),0);
if ($kol_2 > 4){
mysql_query("DELETE FROM `logs_user` WHERE `id_user` = '$niiik' LIMIT 2");
}

echo '<div class="card"><div class="card__header card__header--img" style="background-image: url(/demo/img/note.png); height: 250px;"></div>
<div class="card__header">
                            <h2>
                                О Безопасности аккаунта
                                <small>Автор Пиминов Никита</small>
                            </h2>
                        </div>
                        <div class="card__body">
                            <p>Благодаря этой функции вы будете отслеживать все ваши входы и выходы с аккаунта! <br> Рекомендую сюда по чаще заглядывать и сверять свои данные в целях безопастности, если какие-то данные не совпадают, то сразу меняйте пароль! Вообщем вот ваши последние 5 последних входов! 
							<br><hr>';




$q=mysql_query("SELECT * FROM `logs_user` WHERE `id_user` = '$niiik' ORDER BY `time` DESC LIMIT 5");
while ($f=mysql_fetch_assoc($q)){
echo '<div class="post">';
if ($f['success']==1)$s='<b><font color="green">Да</font></b>';
else
$s='<b><font color="red">Нет</font></b>';
if ($f['method']==1)$m='Закладка';
if ($f['method']==2)$m='Форма входа';
if ($f['method']==3)$m='COOKIE';
echo "<span style='color:#fff'>Время: ".ptime($f['time'])."</span><br />Успешно: $s<br /><span style='color:#fff'>IP: $f[ip]</span><br />UA: $f[ua]<br>";
if ($f['method']==1)$m='Закладка';
if ($f['method']==2)$m='Форма входа';
if ($f['method']==3)$m='COOKIE';
echo 'Метод входа: '.$m.'';
echo '';
}
include_once '../sys/foot.php';
?>